  case MENU_PRINTER_HP_INKJET: { // HP DeskJets used in text mode.
   PrintName="HP DeskJet 500C."; // Name of printer or printer family.
   PrintMode="Text";            // Choose Text or Graphic mode.
   FilterCodes="All";           // Filter out all control characters?
   LineMode="WordWrap";         // How to handle long lines of text. (Truncate, LineWrap, WordWrap).

   ResetPrinter="1B 45";        // Resets printer, sent at start of first printing.
   SelfTest="1B 7A";            // Prints a self test print.
   LoadPaper= "1B 26 6C 31 48"; // Load paper before printing.
   EjectPaper="1B 26 6C 30 48"; // Ejects present sheet, may load another sheet.
   CR_LF_FF="1B 26 6B 30 47";   // Sets CR=CR  LF=LF  FF=FF.
   NewLine="0D 0A";             // Start of next new line, Carriage Return and LineFeed.
   Alarm="07";                  // Sound alarm/buzzer.

   PortraitPage= "1B 26 6C 30 4F"; // Set to portrait orientation.
   LandscapePage="1B 26 6C 31 4F"; // Set to landscape orientation.

   EnableEOLWrap= "1B 26 73 30 43"; // Enable Linewrapping.
   DisableEOLWrap="1B 26 73 31 43"; // Disable Linewrapping.
   
   SelectExec=  "1B 26 6C 31 41";    // Select Executive size paper.
   SelectLetter="1B 26 6C 32 41";    // Select Letter size paper.
   SelectLegal= "1B 26 6C 33 41";    // Select Legal size paper.
   SelectA4=    "1B 26 6C 32 36 41"; // Select A4 size paper.

   CPI10="1B 28 73 31 30 48"; // Code for 10 CPI.
   CPI12="1B 28 73 31 32 56"; // Code for 12 CPI.
   CPI15="";                  // Code for 15 CPI.
   CPI17="";                  // Code for 17 CPI.
   CPI20="";                  // Code for 20 CPI.
   strcpy(PrintCPI,CPI10);    // Set default to 10 CPI.

   DraftMode="1B 28 73 31 51"; // Code for Draft Mode.
   NLQ_Mode= "1B 28 73 32 51"; // Code for Near Letter Quality.
   LQ_Mode=  "1B 28 73 32 51"; // Code for Letter Quality.
   strcpy(PrintQuality,DraftMode); // Set default to draft mode.
    
   PS_ModeOn= "1B 28 73 31 50"; // Code for Proportional Spacing.
   PS_ModeOff="1B 28 73 30 50"; // Code for Fixed Spacing.

   Unidirectional="1B 26 6B 30 57"; // Print left to right only.
   Bidirectional= "1B 26 6B 31 57"; // Print in both directions.

   UnderlineOn= "1B 26 64 31 44"; // Hexadecimal code for underlining text.
   UnderlineOff="1B 26 64 40";    // Hexadecimal code for turning underlining off.

   BoldOn= "1B 28 73 33 42"; // Turn on Boldface.
   BoldOff="1B 28 73 30 42"; // Turn off Boldface.

   ItalicsOn= "1B 28 73 31 53"; // Hexadecimal code for italics on.
   ItalicsOff="1B 28 73 30 53"; // Hexadecimal code for italics off.

   Superscript= "1B 28 73 31 55";    // Turn on superscript.
   Subscript=   "1B 28 73 2D 31 55"; // Turn on subscript.
   NormalScript="1B 28 73 30 55";    // Return to normal.

   TopBlankLines=3;    // Number of lines skip from Top of Page.
   TabSize=4;          // Size of tab steps. 
   PagesPerSheet=1;    // Number of pages to print on one sheet of paper.

   Minimize(true); Show(); Minimize(false); break; } ; // Redraw window with the view attached, and exit.